LibreOffice LibreOffice 25.8 SDK API Reference

Classes | Enumerations
com::sun::star::xml::dom::events Module Reference

XML Document Object Model events. More...

## Classes
exception | EventException
interface | XDocumentEvent
interface | XEvent
interface | XEventListener
interface | XEventTarget
interface | XMouseEvent
interface | XMutationEvent
interface | XUIEvent

## Enumerations
enum | AttrChangeType { MODIFICATION , ADDITION , REMOVAL }
enum | EventType { DOMFocusIn , DOMFocusOut , DOMActivate , click , mousedown , mouseup , mouseover , mousemove , mouseout , DOMSubtreeModified , DOMNodeInserted , DOMNodeRemoved , DOMNodeRemovedFromDocument , DOMNodeInsertedIntoDocument , DOMAttrModified , DOMCharacterDataModified }
enum | PhaseType { CAPTURING_PHASE , AT_TARGET , BUBBLING_PHASE }

## Detailed Description

XML Document Object Model events.

## Enumeration Type Documentation

## ◆ AttrChangeType

enum AttrChangeType

Enumerator
MODIFICATION |
ADDITION |
REMOVAL |

## ◆ EventType

enum EventType

Enumerator
DOMFocusIn |
DOMFocusOut |
DOMActivate |
click |
mousedown |
mouseup |
mouseover |
mousemove |
mouseout |
DOMSubtreeModified |
DOMNodeInserted |
DOMNodeRemoved |
DOMNodeRemovedFromDocument |
DOMNodeInsertedIntoDocument |
DOMAttrModified |
DOMCharacterDataModified |

## ◆ PhaseType

enum PhaseType

Enumerator
CAPTURING_PHASE |
AT_TARGET |
BUBBLING_PHASE |